MapPanelChild (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.gui
Interface MapPanelChild

All Known Implementing Classes:
  EventPanel, InformationDelegator, MapTileMakerComponent, OMControlPanel, TimePanel, ToolPanel

    public interface MapPanelChild

A simple interface to let an object know it wants to be added to the MapPanel, and where it would like to be placed. The MapPanel can look for these components in the MapHandler.

Field Summary
`static java.lang.String` | `ParentNameProperty` The property a MapPanelChild would use to designate a parent component ("parent").
`static java.lang.String` | `PreferredLocationProperty` The property a MapPanelChild would use to set its preferred location in its properties ("preferredLocation").

Method Summary
`java.lang.String` | `getParentName()` Should return the name of the desired parent component.
`java.lang.String` | `getPreferredLocation()` Should return BorderLayout.NORTH, BorderLayout.SOUTH, BorderLayout.EAST or BorderLayout.WEST.
`void` | `setPreferredLocation(java.lang.String string)` Should be provided with BorderLayout.NORTH, BorderLayout.SOUTH, BorderLayout.EAST or BorderLayout.WEST.

Field Detail

### PreferredLocationProperty

    static final java.lang.String PreferredLocationProperty

  The property a MapPanelChild would use to set its preferred location in its properties ("preferredLocation"). Property would be set to one of the following: BorderLayout.NORTH, BorderLayout.SOUTH, BorderLayout.EAST or BorderLayout.WEST.

  See Also:
    Constant Field Values

### ParentNameProperty

    static final java.lang.String ParentNameProperty

  The property a MapPanelChild would use to designate a parent component ("parent"). Should be set to the property prefix of the parent component.

  See Also:
    Constant Field Values

Method Detail

### setPreferredLocation

    void setPreferredLocation(java.lang.String string)

  Should be provided with BorderLayout.NORTH, BorderLayout.SOUTH, BorderLayout.EAST or BorderLayout.WEST. BorderLayout.Center is generally reserved for the MapBean.

### getPreferredLocation

    java.lang.String getPreferredLocation()

  Should return BorderLayout.NORTH, BorderLayout.SOUTH, BorderLayout.EAST or BorderLayout.WEST. BorderLayout.Center is generally reserved for the MapBean.

### getParentName

    java.lang.String getParentName()

  Should return the name of the desired parent component. This method lets a MapPanel to ask a component if it should be added to the panel. Enables application components to configure themselves from property file information.

  Returns:
    the name of the parent component that the MapPanelChild should be added to, or null if it doesn't know.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details